allocator_type
array
array_t
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
boolean_t
cbegin
cend
clear
const_pointer
const_reference
const_reverse_iterator
count
crbegin
crend
difference_type
dump
empty
end
end
erase
erase
erase
erase
find
find
front
front
get
get
get
get_allocator
get_ptr
get_ptr
get_ref
get_ref
insert
insert
insert
insert
insert
is_array
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_object
is_primitive
is_string
is_structured
iterator_wrapper
iterator_wrapper
max_size
number_float_t
number_integer_t
object
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator<
operator<
operator<<
operator<<
operator<=
operator=
operator==
operator==
operator==
operator>
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
parse
parse
parse
parse_event_t
parser_callback_t
pointer
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
size
size_type
string_t
swap
swap
swap
swap
type
value
value
value_t
value_type
~basic_json

template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>

nlohmann::basic_json::basic_json | ( | const string_t & | val | ) |

inline

Create an string JSON value with a given content.

Parameters

  [in] | val | a value for the string

Complexity
  Linear in the size of the passed val.

Exceptions

  std::bad_alloc | if allocation for string value fails

Example
  The following code shows the constructor with an string_t parameter.
  #include <json.hpp>
  using namespace nlohmann;
  int main()
  {
  // create an string_t value
  json::string_t value = "The quick brown fox jumps over the lazy doc";
  // create a JSON string from the value
  json j(value);
  // serialize the JSON array
  std::cout << j << '\n';
  }
  nlohmann::basic_json::string_t
  StringType string_t
  a type for a string
  Definition: json.hpp:443
  nlohmann::basic_json
  a class to store JSON values
  Definition: json.hpp:191
  nlohmann
  namespace for Niels Lohmann
  Definition: json.hpp:88
  Output (play with this example online):

      "The quick brown fox jumps over the lazy doc"

  The example code above can be translated with

      g++ -std=c++11 -Isrc doc/examples/basic_json__string_t.cpp -o basic_json__string_t

See also
  basic_json(const typename string_t::value_type*) – create a string value from a character pointer
  basic_json(const CompatibleStringType&) – create a string value from a compatible string container

Since
  version 1.0.0

Definition at line 1068 of file json.hpp.